//
//  View.m
//  Video
//
//  Created by NYU User on 4/21/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "View.h"

@implementation View

- (id) initWithFrame: (CGRect) frame {
	if ((self = [super initWithFrame: frame])) {
		// Initialization code

		//Center the button in the view.
		CGSize s = CGSizeMake(220, 40);	//size of button
		CGRect b = self.bounds;
		
		CGRect f = CGRectMake(
			b.origin.x + (b.size.width - s.width) / 2,
			b.origin.y + (b.size.height - s.height) / 2,
			s.width,
			s.height
		);
		
		button = [UIButton buttonWithType: UIButtonTypeRoundedRect];
		[button retain];
		button.frame = f;

		[button setTitle: @"Press to split chestnut tree."
			forState: UIControlStateNormal];
		
		[button addTarget: [UIApplication sharedApplication].delegate
			action: @selector(touchUpInside:)
			forControlEvents: UIControlEventTouchUpInside
		];
		
		[self addSubview: button];
	}
	return self;
}

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void) drawRect: (CGRect) rect {
	// Drawing code
}
*/

- (void) dealloc {
	[super dealloc];
}


@end
